| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::ImageFilter Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::ImageFilter:

## Public Member Functions
| ImageFilter (ImpellerImageFilter filter, AdoptTag tag)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerImageFilter, ImpellerImageFilterTraits >
| Object ()=default
| Object (ImpellerImageFilter object)
| Object (ImpellerImageFilter object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerImageFilter | Get () const
| operator bool () const

## Static Public Member Functions
static ImageFilter | Blur (float x_sigma, float y_sigma, ImpellerTileMode tile_mode)
static ImageFilter | Compose (const ImageFilter &outer, const ImageFilter &inner)
static ImageFilter | Dilate (float x_radius, float y_radius)
static ImageFilter | Erode (float x_radius, float y_radius)
static ImageFilter | Matrix (const ImpellerMatrix &matrix, ImpellerTextureSampling sampling)
static ImageFilter | FragmentProgram (const Context &context, const FragmentProgram &program, const std::vector< ImpellerTexture > &samplers, const Mapping *uniform_data)

## Detailed Description

See also
  ImpellerImageFilter

Definition at line 653 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ ImageFilter()

IMPELLER_HPP_NAMESPACE::ImageFilter::ImageFilter | ( | ImpellerImageFilter | filter,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 656 of file impeller.hpp.

656 : Object(filter, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerImageFilter, ImpellerImageFilterTraits >::Object
Object()=default

Referenced by Blur(), Compose(), Dilate(), Erode(), FragmentProgram(), and Matrix().

## Member Function Documentation

## ◆ Blur()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::Blur | ( | float | x_sigma,
|  | float | y_sigma,
|  | ImpellerTileMode | tile_mode
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateBlurNew

Definition at line 661 of file impeller.hpp.

663 {
664 return ImageFilter(gGlobalProcTable.ImpellerImageFilterCreateBlurNew(
665 x_sigma, y_sigma, tile_mode),
666 AdoptTag::kAdopt);
667 }
IMPELLER_HPP_NAMESPACE::ImageFilter::ImageFilter
ImageFilter(ImpellerImageFilter filter, AdoptTag tag)
Definition: impeller.hpp:656
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Compose()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::Compose | ( | const ImageFilter & | outer,
|  | const ImageFilter & | inner
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateComposeNew

Definition at line 672 of file impeller.hpp.

673 {
674 return ImageFilter(gGlobalProcTable.ImpellerImageFilterCreateComposeNew(
675 outer.Get(), inner.Get()),
676 AdoptTag::kAdopt);
677 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Dilate()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::Dilate | ( | float | x_radius,
|  | float | y_radius
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateDilateNew

Definition at line 682 of file impeller.hpp.

682 {
683 return ImageFilter(
684 gGlobalProcTable.ImpellerImageFilterCreateDilateNew(x_radius, y_radius),
685 AdoptTag::kAdopt);
686 }

References IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Erode()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::Erode | ( | float | x_radius,
|  | float | y_radius
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateErodeNew

Definition at line 691 of file impeller.hpp.

691 {
692 return ImageFilter(
693 gGlobalProcTable.ImpellerImageFilterCreateErodeNew(x_radius, y_radius),
694 AdoptTag::kAdopt);
695 }

References IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ FragmentProgram()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::FragmentProgram | ( | const Context & | context,
|  | const FragmentProgram & | program,
|  | const std::vector< ImpellerTexture > & | samplers,
|  | const Mapping * | uniform_data
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateFragmentProgramNew

Definition at line 710 of file impeller.hpp.

714 {
715 return ImageFilter(
716 gGlobalProcTable.ImpellerImageFilterCreateFragmentProgramNew(
717 context.Get(), //
718 program.Get(), //
719 const_cast<ImpellerTexture*>(samplers.data()), //
720 samplers.size(), //
721 uniform_data != nullptr ? uniform_data->GetMapping() : nullptr, //
722 uniform_data != nullptr ? uniform_data->GetSize() : 0u //
723 ),
724 AdoptTag::kAdopt);
725 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Mapping::GetMapping(), IMPELLER_HPP_NAMESPACE::Mapping::GetSize(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Matrix()

static ImageFilter IMPELLER_HPP_NAMESPACE::ImageFilter::Matrix | ( | const ImpellerMatrix & | matrix,
|  | ImpellerTextureSampling | sampling
| ) |  |
| inlinestatic

See also
  ImpellerImageFilterCreateMatrixNew

Definition at line 700 of file impeller.hpp.

701 {
702 return ImageFilter(
703 gGlobalProcTable.ImpellerImageFilterCreateMatrixNew(&matrix, sampling),
704 AdoptTag::kAdopt);
705 }

References IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImageFilter(), and IMPELLER_HPP_NAMESPACE::kAdopt.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp